%define		status		stable
%define		pearname	Net_NNTP
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - communicate with an NNTP server
Summary(pl.UTF-8):	%{pearname} - komunikacja z serwerem NNTP
Name:		php-pear-%{pearname}
Version:	1.5.2
Release:	2
License:	W3C / PHP 2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	9ebaa7ec650588f2a7bd9c17e2121b42
URL:		http://pear.php.net/package/Net_NNTP/
BuildRequires:	php-pear-PEAR >= 1:1.4.5
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.3
Requires:	php-pear-PEAR-core >= 1:1.4.0
Suggests:	php-pear-Log
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Log.*)

%description
Complete class for communicating with an NNTP server (this is: the
USENET), including: post, view, list, authentication, overview, header
manipulation, NNTP commands debugger, etc.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Kompletna klasa umożliwiająca komunikację z serwerem NNTP (USENET),
zawierająca: wysyłanie, przeglądanie, listowanie, uwierzytelnianie,
przegląd, manipulację nagłówkami, debugger komend NNTP, etc.

Ta klasa ma w PEAR status %{status}.

%prep
%pear_package_setup

mv docs/%{pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/NNTP
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Mar 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_NNTP.git;a=log;h=master

* Fri Mar 01 2019 Adam Gołębiowski <adamg@pld-linux.org> 9efc0a0
- updated to 1.5.2

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> a525a86
- up to 1.5.0RC2

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> eb7ba2a
- up to 1.5.0RC1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 8ccfaeb
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> b9b9b37
- up to 1.5.0a1

* Thu Jun 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 1a494c8
- updated to 1.4.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> eb5e38a
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f4f41d7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 041ad1d
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c826901
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 43ec1d2
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6026f42
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 13b8a1a
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 1cbc71d
- semi automatically added deps from pear

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 49b4421
- new pear packaging

* Tue Mar 29 2005 Adam Gołębiowski <adamg@pld-linux.org> 73459c9
- updated to 1.0.1

* Tue Mar 22 2005 Marcin Gajda <m.gajda@functional-software.com> b9ed6ce
- included missing Protocol directory
- pl fixes
- rel. 2

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> b6792f0
- updated to 1.0.0

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 08366f4
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> ae0ed74
- spelling fixes, uppercases, etc.

